=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2008-12-05 05:11:29 +0000
+++ drizzled/sql_lex.cc	2008-12-05 07:20:46 +0000
@@ -1798,19 +1798,14 @@
   }
 }
 
-bool st_select_lex_node::set_braces(bool value __attribute__((unused)))
+bool st_select_lex_node::set_braces(bool)
 { return 1; }
 bool st_select_lex_node::inc_in_sum_expr()           { return 1; }
 uint32_t st_select_lex_node::get_in_sum_expr()           { return 0; }
 TableList* st_select_lex_node::get_table_list()     { return 0; }
 List<Item>* st_select_lex_node::get_item_list()      { return 0; }
-TableList *st_select_lex_node::add_table_to_list (Session *session __attribute__((unused)),
-                                                   Table_ident *table __attribute__((unused)),
-						  LEX_STRING *alias __attribute__((unused)),
-						  uint32_t table_join_options __attribute__((unused)),
-						  thr_lock_type flags __attribute__((unused)),
-						  List<Index_hint> *hints __attribute__((unused)),
-                                                  LEX_STRING *option __attribute__((unused)))
+TableList *st_select_lex_node::add_table_to_list (Session *, Table_ident *, LEX_STRING *, uint32_t, 
+                                                  thr_lock_type, List<Index_hint> *, LEX_STRING *)
 {
   return 0;
 }
@@ -1852,8 +1847,7 @@
 }
 
 
-bool st_select_lex::add_item_to_list(Session *session __attribute__((unused)),
-                                     Item *item)
+bool st_select_lex::add_item_to_list(Session *, Item *item)
 {
   return(item_list.push_back(item));
 }
@@ -1983,8 +1977,7 @@
 }
  
 
-void st_select_lex::print_limit(Session *session __attribute__((unused)),
-                                String *str,
+void st_select_lex::print_limit(Session *, String *str,
                                 enum_query_type query_type)
 {
   SELECT_LEX_UNIT *unit= master_unit();
@@ -2035,7 +2028,7 @@
   to implement the clean up.
 */
 
-void LEX::cleanup_lex_after_parse_error(Session *session __attribute__((unused)))
+void LEX::cleanup_lex_after_parse_error(Session *)
 {
 }
 
@@ -2391,7 +2384,7 @@
       backup  Pointer to Query_tables_list instance to be used for backup
 */
 
-void LEX::reset_n_backup_query_tables_list(Query_tables_list *backup __attribute__((unused)))
+void LEX::reset_n_backup_query_tables_list(Query_tables_list *)
 {
 }
 
@@ -2404,7 +2397,7 @@
       backup  Pointer to Query_tables_list instance used for backup
 */
 
-void LEX::restore_backup_query_tables_list(Query_tables_list *backup __attribute__((unused)))
+void LEX::restore_backup_query_tables_list(Query_tables_list *)
 {
 }
 

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2008-12-04 19:56:07 +0000
+++ drizzled/sql_plugin.cc	2008-12-05 07:20:46 +0000
@@ -191,8 +191,7 @@
 
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint) size); }
-  static void operator delete(void *ptr_arg __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
   { TRASH(ptr_arg, size); }
 
   sys_var_pluginvar(const char *name_arg,
@@ -208,10 +207,9 @@
   TYPELIB* plugin_var_typelib(void);
   unsigned char* value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
   bool check(Session *session, set_var *var);
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
     { return is_readonly(); }
-  void set_default(Session *session,
-                   enum_var_type type __attribute__((unused)));
+  void set_default(Session *session, enum_var_type);
   bool update(Session *session, set_var *var);
 };
 
@@ -881,8 +879,7 @@
 extern "C" unsigned char *get_bookmark_hash_key(const unsigned char *, size_t *, bool);
 
 
-unsigned char *get_plugin_hash_key(const unsigned char *buff, size_t *length,
-                           bool not_used __attribute__((unused)))
+unsigned char *get_plugin_hash_key(const unsigned char *buff, size_t *length, bool)
 {
   struct st_plugin_int *plugin= (st_plugin_int *)buff;
   *length= (uint)plugin->name.length;
@@ -890,8 +887,7 @@
 }
 
 
-unsigned char *get_bookmark_hash_key(const unsigned char *buff, size_t *length,
-                             bool not_used __attribute__((unused)))
+unsigned char *get_bookmark_hash_key(const unsigned char *buff, size_t *length, bool)
 {
   struct st_bookmark *var= (st_bookmark *)buff;
   *length= var->name_len + 1;
@@ -1361,8 +1357,7 @@
   default variable data check and update functions
 ****************************************************************************/
 
-static int check_func_bool(Session *session __attribute__((unused)),
-                           struct st_mysql_sys_var *var,
+static int check_func_bool(Session *, struct st_mysql_sys_var *var,
                            void *save, st_mysql_value *value)
 {
   char buff[STRING_BUFFER_USUAL_SIZE];
@@ -1460,8 +1455,7 @@
                               var->name, (int64_t) tmp);
 }
 
-static int check_func_str(Session *session,
-                          struct st_mysql_sys_var *var __attribute__((unused)),
+static int check_func_str(Session *session, struct st_mysql_sys_var *,
                           void *save, st_mysql_value *value)
 {
   char buff[STRING_BUFFER_USUAL_SIZE];
@@ -1476,8 +1470,7 @@
 }
 
 
-static int check_func_enum(Session *session __attribute__((unused)),
-                           struct st_mysql_sys_var *var,
+static int check_func_enum(Session *, struct st_mysql_sys_var *var,
                            void *save, st_mysql_value *value)
 {
   char buff[STRING_BUFFER_USUAL_SIZE];
@@ -1523,8 +1516,7 @@
 }
 
 
-static int check_func_set(Session *session __attribute__((unused)),
-                          struct st_mysql_sys_var *var,
+static int check_func_set(Session *, struct st_mysql_sys_var *var,
                           void *save, st_mysql_value *value)
 {
   char buff[STRING_BUFFER_USUAL_SIZE], *error= 0;
@@ -1576,39 +1568,35 @@
 }
 
 
-static void update_func_bool(Session *session __attribute__((unused)),
-                             struct st_mysql_sys_var *var __attribute__((unused)),
+static void update_func_bool(Session *, struct st_mysql_sys_var *,
                              void *tgt, const void *save)
 {
   *(bool *) tgt= *(int *) save ? 1 : 0;
 }
 
 
-static void update_func_int(Session *session __attribute__((unused)),
-                            struct st_mysql_sys_var *var __attribute__((unused)),
+static void update_func_int(Session *, struct st_mysql_sys_var *,
                              void *tgt, const void *save)
 {
   *(int *)tgt= *(int *) save;
 }
 
 
-static void update_func_long(Session *session __attribute__((unused)),
-                             struct st_mysql_sys_var *var __attribute__((unused)),
+static void update_func_long(Session *, struct st_mysql_sys_var *,
                              void *tgt, const void *save)
 {
   *(long *)tgt= *(long *) save;
 }
 
 
-static void update_func_int64_t(Session *session __attribute__((unused)),
-                                 struct st_mysql_sys_var *var __attribute__((unused)),
+static void update_func_int64_t(Session *, struct st_mysql_sys_var *,
                                  void *tgt, const void *save)
 {
   *(int64_t *)tgt= *(uint64_t *) save;
 }
 
 
-static void update_func_str(Session *session __attribute__((unused)), struct st_mysql_sys_var *var,
+static void update_func_str(Session *, struct st_mysql_sys_var *var,
                              void *tgt, const void *save)
 {
   char *old= *(char **) tgt;
@@ -1951,8 +1939,7 @@
 /*
   Unlocks all system variables which hold a reference
 */
-static void unlock_variables(Session *session __attribute__((unused)),
-                             struct system_variables *vars)
+static void unlock_variables(Session *, struct system_variables *vars)
 {
   intern_plugin_unlock(NULL, vars->table_plugin);
   vars->table_plugin= NULL;
@@ -2128,8 +2115,7 @@
 }
 
 
-unsigned char* sys_var_pluginvar::value_ptr(Session *session, enum_var_type type,
-                                    LEX_STRING *base __attribute__((unused)))
+unsigned char* sys_var_pluginvar::value_ptr(Session *session, enum_var_type type, LEX_STRING *)
 {
   unsigned char* result;
 
@@ -2384,9 +2370,7 @@
 extern "C" bool get_one_plugin_option(int optid, const struct my_option *,
                                          char *);
 
-bool get_one_plugin_option(int optid __attribute__((unused)),
-                              const struct my_option *opt __attribute__((unused)),
-                              char *argument __attribute__((unused)))
+bool get_one_plugin_option(int, const struct my_option *, char *)
 {
   return 0;
 }

=== modified file 'drizzled/uniques.cc'
--- drizzled/uniques.cc	2008-12-05 00:20:09 +0000
+++ drizzled/uniques.cc	2008-12-05 07:20:46 +0000
@@ -40,8 +40,7 @@
 #endif
 
 
-int unique_write_to_file(unsigned char* key,
-                         element_count count __attribute__((unused)),
+int unique_write_to_file(unsigned char* key, element_count,
                          Unique *unique)
 {
   /*
@@ -54,8 +53,7 @@
 }
 
 int unique_write_to_ptrs(unsigned char* key,
-                         element_count count __attribute__((unused)),
-                         Unique *unique)
+                         element_count, Unique *unique)
 {
   memcpy(unique->record_pointers, key, unique->size);
   unique->record_pointers+=unique->size;
@@ -132,8 +130,7 @@
       total_buf_elems* log2(n_buffers) / TIME_FOR_COMPARE_ROWID;
 */
 
-static double get_merge_buffers_cost(uint32_t *buff_elems __attribute__((unused)),
-                                     uint32_t elem_size,
+static double get_merge_buffers_cost(uint32_t *, uint32_t elem_size,
                                      uint32_t *first, uint32_t *last)
 {
   uint32_t total_buf_elems= 0;

